util.ui

## Class AutoCompletion

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - util.ui.AutoCompletion

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document

      public class AutoCompletion
      extends javax.swing.text.PlainDocument

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javax.swing.JComboBox` | `comboBox`
    `(package private) javax.swing.text.JTextComponent` | `editor`
    `(package private) java.awt.event.FocusListener` | `editorFocusListener`
    `(package private) java.awt.event.KeyListener` | `editorKeyListener`
    `(package private) boolean` | `firstUpper`
    `(package private) boolean` | `hidePopupOnFocusLoss`
    `(package private) boolean` | `hitBackspace`
    `(package private) boolean` | `hitBackspaceOnSelection`
    `(package private) javax.swing.ComboBoxModel` | `model`
    `(package private) boolean` | `selecting`

    - ### Fields inherited from class javax.swing.text.PlainDocument

      `lineLimitAttribute, tabSizeAttribute`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoCompletion(javax.swing.JComboBox comboBox)`
    `AutoCompletion(javax.swing.JComboBox comboBox, boolean firstLetterUppercase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `configureEditor(javax.swing.ComboBoxEditor newEditor)`
    `void` | `insertString(int offs, java.lang.String str, javax.swing.text.AttributeSet a)`
    `void` | `remove(int offs, int len)`

    - ### Methods inherited from class javax.swing.text.PlainDocument

      `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertUpdate, removeUpdate`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### comboBox

          javax.swing.JComboBox comboBox

    - #### model

          javax.swing.ComboBoxModel model

    - #### editor

          javax.swing.text.JTextComponent editor

    - #### selecting

          boolean selecting

    - #### hidePopupOnFocusLoss

          boolean hidePopupOnFocusLoss

    - #### hitBackspace

          boolean hitBackspace

    - #### hitBackspaceOnSelection

          boolean hitBackspaceOnSelection

    - #### firstUpper

          boolean firstUpper

    - #### editorKeyListener

          transient java.awt.event.KeyListener editorKeyListener

    - #### editorFocusListener

          transient java.awt.event.FocusListener editorFocusListener

  - ### Constructor Detail

    - #### AutoCompletion

          public AutoCompletion(javax.swing.JComboBox comboBox)

    - #### AutoCompletion

          public AutoCompletion(javax.swing.JComboBox comboBox,
                        boolean firstLetterUppercase)

  - ### Method Detail

    - #### configureEditor

          void configureEditor(javax.swing.ComboBoxEditor newEditor)

    - #### remove

          public void remove(int offs,
                    int len)
                      throws javax.swing.text.BadLocationException

      Specified by:
        `remove` in interface `javax.swing.text.Document`
      Overrides:
        `remove` in class `javax.swing.text.AbstractDocument`
      Throws:
        `javax.swing.text.BadLocationException`

    - #### insertString

          public void insertString(int offs,
                          java.lang.String str,
                          javax.swing.text.AttributeSet a)
                            throws javax.swing.text.BadLocationException

      Specified by:
        `insertString` in interface `javax.swing.text.Document`
      Overrides:
        `insertString` in class `javax.swing.text.PlainDocument`
      Throws:
        `javax.swing.text.BadLocationException`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)